Bug 806355 - Review Request: python-django-profiles - A fairly simple user-profile management application for Django
Review Request: python-django-profiles - A fairly simple user-profile managem...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-03-23 10:24 EDT by Matthias Runge
Modified: 2012-03-24 16:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-24 16:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-23 10:24:53 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-profiles.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-profiles-0.2-3.fc17.src.rpm

Description: 
A fairly simple user-profile management application for
Django, designed to make the management of site-specific user
profiles as painless as possible. It requires a functional
installation of Django 1.0 or newer and provides a useful complement
to `django-registration`, but has no other dependencies.


This is a review required for package renaming.


koji build --scratch rawhide ../SRPMS/python-django-profiles-0.2-3.fc17.src.rpm
--> http://koji.fedoraproject.org/koji/taskinfo?taskID=3926374

[mrunge@sofja SPECS]$ rpmlint ./python-django-profiles.spec ../SRPMS/python-django-profiles-0.2-3.fc17.src.rpm ../RPMS/noarch/python-django-profiles-0.2-3.fc17.noarch.rpm 
./python-django-profiles.spec: W: invalid-url Source0: django-profiles.tar.bz2
python-django-profiles.src: W: invalid-url Source0: django-profiles.tar.bz2
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Michael Scherer 2012-03-23 17:31:21 EDT
Hi,

a few comments :

- the md5sum in the spec correspond to the one of the tarball, but the tarball it self is different from the one given by bitbucket 

$ LC_ALL=C wget -q https://bitbucket.org/ubernostrum/django-profiles/get/default.tar.bz2 -O django-profiles.tar.bz2 ; md5sum django-profiles.tar.bz2
2e54e3cabf0d27d71062428af72b3ef7  django-profiles.tar.bz2

So i think the instruction to download the source should be updated.


- There is no license file in %doc.

- The license is BSD one, not MIT, so the License tag should be updated.

- I would say the file INSTALL.txt is useless, the instruction are just how to run python setup.py
Comment 2 Matthias Runge 2012-03-24 05:00:52 EDT
Thank you for the comments. I can't say, why the source was wrong. corrected.

Licence corrected, License file added :oopsie:

Install file dropped.

updated SPEC: http://www.matthias-runge.de/fedora/python-django-profiles.spec
updated SRPM: http://www.matthias-runge.de/fedora/python-django-profiles-0.2-4.fc17.src.rpm


[mrunge@sofja SPECS]$ diff -u python-django-profiles.spec-3 python-django-profiles.spec
--- python-django-profiles.spec-3	2012-03-23 15:24:08.000000000 +0100
+++ python-django-profiles.spec	2012-03-24 09:55:38.857739255 +0100
@@ -2,10 +2,10 @@
 %global         obs_ver 0.2-3
 Name:           python-django-profiles
 Version:        0.2 
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A fairly simple user-profile management application for Django
 
-License:        MIT
+License:        BSD
 URL:            https://bitbucket.org/ubernostrum/%{pkgname}/ 
 # wget https://bitbucket.org/ubernostrum/django-profiles/get/default.tar.bz2 -O django-profiles.tar.bz2
 # md5sum django-profiles.tar.bz2 
@@ -29,7 +29,7 @@
 to `django-registration`, but has no other dependencies.
 
 %prep
-%setup -q -n ubernostrum-django-profiles-default
+%setup -q -n ubernostrum-django-profiles-c21962558420
 
 
 %build
@@ -41,15 +41,18 @@
 
 
 %files
-%doc CHANGELOG.txt INSTALL.txt README.txt docs/*
+%doc CHANGELOG.txt README.txt LICENSE.txt docs/*
 %{python_sitelib}/profiles
 %{python_sitelib}/django_profiles*
 
 
 
 %changelog
-* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-3
+* Sat Mar 24 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-4
 - rename to python-django-profiles
+- fix source md5sum
+- correct License-Tag
+- add License-file
 
 * Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
Comment 3 Michael Scherer 2012-03-24 05:55:03 EDT
The md5sum from the tarball in the comment is still not the same as the one we get when downloading the comment. 

And are you sure that you should not download the 0.2 tarball instead, as the command in comment will download the tip ( but there is no functional change ) ?
Comment 4 Matthias Runge 2012-03-24 07:15:02 EDT
I'm very sorry. Double mistake! Off course, I should get the version 0.2
Later changes are just cosmetical.


SRPM: http://www.matthias-runge.de/fedora/python-django-profiles-0.2-5.fc17.src.rpm
SPEC: http://www.matthias-runge.de/fedora/python-django-profiles.spec


[mrunge@sofja SPECS]$ diff -u python-django-profiles.spec-4 python-django-profiles.spec
--- python-django-profiles.spec-4	2012-03-24 11:54:18.197209940 +0100
+++ python-django-profiles.spec	2012-03-24 12:08:30.180274641 +0100
@@ -2,14 +2,14 @@
 %global         obs_ver 0.2-3
 Name:           python-django-profiles
 Version:        0.2 
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        A fairly simple user-profile management application for Django
 
 License:        BSD
 URL:            https://bitbucket.org/ubernostrum/%{pkgname}/ 
-# wget https://bitbucket.org/ubernostrum/django-profiles/get/default.tar.bz2 -O django-profiles.tar.bz2
+# wget https://bitbucket.org/ubernostrum/django-profiles/get/daac18511394.tar.bz2 -O django-profiles.tar.bz2
 # md5sum django-profiles.tar.bz2 
-# 5a94560b95f64dc3b786701647876484  django-profiles.tar.bz2
+# aba786abdb5469b64d189931e3e4b7ea  django-profiles.tar.bz2
 Source0:        django-profiles.tar.bz2
 
 
@@ -29,7 +29,7 @@
 to `django-registration`, but has no other dependencies.
 
 %prep
-%setup -q -n ubernostrum-django-profiles-c21962558420
+%setup -q -n ubernostrum-django-profiles-daac18511394
 
 
 %build
@@ -48,11 +48,12 @@
 
 
 %changelog
-* Sat Mar 24 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-4
+* Sat Mar 24 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-5
 - rename to python-django-profiles
 - fix source md5sum
 - correct License-Tag
 - add License-file
+- correct source file
 
 * Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
Comment 5 Michael Scherer 2012-03-24 10:14:51 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: No licenses found! Please check the source files for licenses
     manually.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-profiles-0.2-3.fc18.src.rpm

python-django-profiles.src: W: invalid-url Source0: django-profiles.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-django-profiles-0.2-3.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Python ====
[x]: MUST Module list python2-devel or python3-devel as BuildRequires
[x]: MUST Python egg is built from source

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-django-profiles-0.2-3.fc18.src.rpm

python-django-profiles.src: W: invalid-url Source0: django-profiles.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-django-profiles-0.2-3.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.2.0git
External plugins:


The only rpmlint warning is a false positive, so this package is ok for being uploaded.
Comment 6 Matthias Runge 2012-03-24 11:51:43 EDT
Thank you for your review!

New Package SCM Request
=======================
Package Name: python-django-profiles
Short Description: A fairly simple user-profile management application for Django
Owners: mrunge
Branches: devel
Comment 7 Gwyn Ciesla 2012-03-24 14:45:27 EDT
Git done (by process-git-requests).
Comment 8 Matthias Runge 2012-03-24 16:34:49 EDT
imported, built, django-profiles retired, rel-eng ticket to block django-profiles from devel: https://fedorahosted.org/rel-eng/ticket/5145

Thanks

Note You need to log in before you can comment on or make changes to this bug.